H3 Max Camera Controls
שילוב
minimax/h3-max/camera-controls
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/camera-controls?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max/camera-controls?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max/camera-controls", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/he/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3-max/camera-controls",
"input": {
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
קראו למודל H3 Max Camera Controls (minimax/h3-max/camera-controls) דרך Doitong API. תיעוד לסוכנים: https://doitong.com/he/developers/models/minimax/h3-max/camera-controls.md
POST https://vit.doitong.com/api/v1/run/minimax/h3-max/camera-controls?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
אם סטטוס התגובה הוא "queued" או "running", בצעו polling ל־GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 עד שהוא יהיה "succeeded"; הקבצים נמצאים ב־outputs[].url. שליחת POST ל־https://vit.doitong.com/api/v1/quote/minimax/h3-max/camera-controls עם אותו גוף מחזירה את המחיר המדויק לפני ההרצה.
בקשה זו: 0.175 $ 175 קרדיטי API הרצה בדף הזה
מפתח ה־API החדש שלכם. הוא מוצג רק עכשיו וכבר מופיע בקוד ובשדה מפתח ה-API שלמטה. שמרו עליו בסוד: לעולם אל תכניסו אותו לקוד שרץ בדפדפן.
התוצאה הראשונה שלך תופיע כאן
בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.
בנה בקשה
הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.
/run/minimax/h3-max/camera-controls?wait=20
הצעת מחיר → 0.175 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/camera-controls?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max/camera-controls?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max/camera-controls", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3-max/camera-controls",
"input": {
"prompt_expansion_mode": "balanced",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
הרצת הבקשה הזו
המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API
מידע על H3 Max Camera Controls
משתמש ב-`image_url` כפריים הראשון ומניע את המצלמה לאורך `camera_trajectory`, רשימה של 2 עד 12 פריימי מפתח מסודרים. כברירת מחדל הסצנה נשארת קשיחה, כך שרק המצלמה משתנה. משך הסרטון הוא 0.92 עד 15 שניות, ברזולוציה 480P, 768P או 1080P. ניתן לכוונן את הרחבת הפרומפט.
פרמטרים
שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים
promptאופציונלי
durationאופציונלי
resolutionאופציונלי
seedאופציונלי
enable_safety_checkerאופציונלי
prompt_expansion_modeחובה
image_urlחובה
image
camera_trajectoryאופציונלי
camera_trajectory[].timeחובה
camera_trajectory[].azimuthחובה
camera_trajectory[].elevationחובה
camera_trajectory[].distanceחובה
פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים
פלט
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3-max/camera-controls",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 175,
"usd": "0.175",
"charged": 175,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt_expansion_mode": "balanced"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"expanded_prompt": "string",
"timings": {}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
שדות הפלט
- video
- object {url, content_type, file_name, file_size}וידאו שנוצר על ידי המודל.
- expanded_prompt
- string | nullהנחיה מורחבת המוכנה למודל, או null אם אין טקסט מורחב זמין. מקרי null כוללים הרחבה מושבתת, הרחבה שלא שינתה דבר והרחבה שטופלה פנימית על ידי ה־API המתארח של המודל.
- timings
- object | nullמדידות תזמון המבוטאות בשניות, זמינות רק בנתיבים המדווחים על תזמוני backend; אחרת null. הרשומה 'inference' מודדת כמה זמן נמשך ה־DiT denoising ב־GPU backend.
וריאנטים אחרים של Hailuo 03 New Turbo
מודלים נוספים: תמונה לווידאו
לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/minimax/h3-max/camera-controls.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt